<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="cn.com.ty.lift.system.user.dao.mapper.MenuMapper" >
	<resultMap id="BaseResultMap" type="cn.com.ty.lift.system.user.dao.entity.Menu" >
		<id column="id" property="id" jdbcType="BIGINT" />
		<result column="parent_id" property="parentId" jdbcType="BIGINT" />
		<result column="name" property="name" jdbcType="VARCHAR" />
		<result column="code" property="code" jdbcType="VARCHAR" />
		<result column="url" property="url" jdbcType="VARCHAR" />
		<result column="type" property="type" jdbcType="VARCHAR" />
		<result column="default_flag" property="defaultFlag" jdbcType="VARCHAR"/>
		<result column="description" property="description" jdbcType="VARCHAR" />
	</resultMap>

	<sql id="Base_Column_List" >
		id, parent_id, name, code, url, type, default_flag, description
	</sql>


</mapper>